interface AppConfigState{
    apiUrl:string,// 基础请求地址
    identityUrl:string,// 身份认证服务地址
    socketUrl:string,// signalr请求地址
    logKey?:string,// 日志发送key
    clientLog:boolean,// 客户端（浏览器是否开启错误打印）
}
let appConfig:AppConfigState;
// console.log('当前环境:',import.meta.env.VITE_MODE_NAME);

const commonConfig:AppConfigState = {
    apiUrl: 'http://hotline.fw.com',
    identityUrl: 'http://identity.fengwo.com',
    socketUrl: 'http://192.168.100.223:50110/hubs/callcenter',
    clientLog: true,
}

switch (import.meta.env.VITE_MODE_NAME) {
    case 'development': // 开发环境
        appConfig = {
            ...commonConfig,
            logKey: 'BrXoFNY0kBtPAHtIegYX1dQdKWhtyyMMLfcF03L9',
        }
        break;
    case 'test': // 测试环境
        appConfig = {
            ...commonConfig,
            logKey: 'BrXoFNY0kBtPAHtIegYX1dQdKWhtyyMMLfcF03L9',
        }
        break;
    case 'production': // 生产环境
        appConfig = {
            ...commonConfig,
            logKey: 'i4ofQSLHB0GtqjMjoTI5bXA5XeNwEPrQfcWsTmHA',
        }
        break;
    default:
        appConfig = {
            ...commonConfig,
            logKey: 'BrXoFNY0kBtPAHtIegYX1dQdKWhtyyMMLfcF03L9',
        }
        break;
}
export default appConfig;